package com.project.zcustom.domain.addional;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.project.zcustom.controller.core.CustomBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 上报问题对象 large_issue
 *
 * @author change
 * @date 2024-12-30
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@TableName("large_issue")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class LargeIssue extends CustomBaseEntity {

    /**
     * 问题id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 问题描述
     */
    private String description;

    /**
     * 所属项目id
     */
    private Integer projectId;

    private String projectName;

    /**
     * 问题状态（0代表已解决  2代表待解决）
     */
    private String status;

}
