package com.project.zcustom.domain.addional;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.project.zcustom.controller.core.CustomBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 工程项目对象 large_project
 *
 * @author change
 * @date 2024-12-30
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@TableName("large_project")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class LargeProject extends CustomBaseEntity {

    /**
     * 项目id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 所属单位id
     */
    private String unitCode;

    /**
     * 项目类型
     */
    private String type;

    /**
     * 接入标志（0代表接入 2代表未接入）
     */
    private String connectFlag;

    @TableField(exist = false)
    private Long cameraNum;

}
