package com.project.zcustom.domain.post;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.project.zcustom.controller.core.CustomBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 物业服务对象 plat_post_station
 *
 * @author change
 * @date 2024-10-21
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@TableName("large_plat_post_station")
public class PlatPostStation extends CustomBaseEntity {

    /**
     * 主键id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 地区编码
     */
    private String appOrg;

    /**
     * 物业服务--故障保修订单数
     */
    private Long faultWarrantyNum;

    /**
     * 物业服务--派单数量
     */
    private Long dispatchedNum;

    /**
     * 物业服务--建议订单数量
     */
    private Long suggestedNum;

    /**
     * 物业服务--维修订单数量
     */
    private Long repairOrdersNum;

    /**
     * 物业服务--调查问卷数量
     */
    private Long questionnairesNum;

    /**
     * 近一个月报修分类占比--消防
     */
    private Long fireControlNum;

    /**
     * 近一个月报修分类占比--电梯
     */
    private Long elevatorNum;

    /**
     * 近一个月报修分类占比--照明灯具
     */
    private Long lampNum;

    /**
     * 近一个月报修分类占比--安防
     */
    private Long securityNum;

    /**
     * 近一个月报修分类占比--卫生间
     */
    private Long toiletNum;

    /**
     * 近一个月报修分类占比--公区
     */
    private Long areaNum;

    /**
     * 近一个月报修分类占比--空调
     */
    private Long conditionerNum;

    /**
     * 近一个月报修分类占比--其它维修
     */
    private Long repairsNum;

    /**
     * 近一个月报修分类占比--会议保障
     */
    private Long meetingNum;

    /**
     * 近一个月报修分类占比--办公室
     */
    private Long officeNum;

}
