package com.project.zcustom.mapper.employee;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.project.zcustom.domain.employee.PlatEmployeeHealthIllness;
import org.apache.ibatis.annotations.Param;


/**
 * 多发疾病排行Mapper接口
 * 
 * @author change
 * @date 2024-11-12
 */
public interface PlatEmployeeHealthIllnessMapper extends BaseMapper<PlatEmployeeHealthIllness>
{
    /**
     * 查询多发疾病排行
     * 
     * @param id 多发疾病排行主键
     * @return 多发疾病排行
     */
    public PlatEmployeeHealthIllness selectPlatEmployeeHealthIllnessById(Long id);

    /**
     * 查询多发疾病排行列表
     * 
     * @param largePlatEmployeeHealthIllness 多发疾病排行
     * @return 多发疾病排行集合
     */
    public List<PlatEmployeeHealthIllness> selectPlatEmployeeHealthIllnessList(PlatEmployeeHealthIllness largePlatEmployeeHealthIllness);

    /**
     * 新增多发疾病排行
     * 
     * @param largePlatEmployeeHealthIllness 多发疾病排行
     * @return 结果
     */
    public int insertPlatEmployeeHealthIllness(PlatEmployeeHealthIllness largePlatEmployeeHealthIllness);

    /**
     * 修改多发疾病排行
     * 
     * @param largePlatEmployeeHealthIllness 多发疾病排行
     * @return 结果
     */
    public int updatePlatEmployeeHealthIllness(PlatEmployeeHealthIllness largePlatEmployeeHealthIllness);

    /**
     * 删除多发疾病排行
     * 
     * @param id 多发疾病排行主键
     * @return 结果
     */
    public int deletePlatEmployeeHealthIllnessById(Long id);

    /**
     * 批量删除多发疾病排行
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePlatEmployeeHealthIllnessByIds(Long[] ids);

    /**
    * 真删接口
    */
    Integer reallyDeleteByWrapper(@Param(Constants.WRAPPER) LambdaQueryWrapper<PlatEmployeeHealthIllness> deleteWrapper);
}
