package com.project.zcustom.mapper.employee;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.project.zcustom.domain.employee.PlatEmployeeType;
import org.apache.ibatis.annotations.Param;


/**
 * 员工概况Mapper接口
 * 
 * @author change
 * @date 2024-11-12
 */
public interface PlatEmployeeTypeMapper extends BaseMapper<PlatEmployeeType>
{
    /**
     * 查询员工概况
     * 
     * @param id 员工概况主键
     * @return 员工概况
     */
    public PlatEmployeeType selectPlatEmployeeTypeById(Long id);

    /**
     * 查询员工概况列表
     * 
     * @param largePlatEmployeeType 员工概况
     * @return 员工概况集合
     */
    public List<PlatEmployeeType> selectPlatEmployeeTypeList(PlatEmployeeType largePlatEmployeeType);

    /**
     * 新增员工概况
     * 
     * @param largePlatEmployeeType 员工概况
     * @return 结果
     */
    public int insertPlatEmployeeType(PlatEmployeeType largePlatEmployeeType);

    /**
     * 修改员工概况
     * 
     * @param largePlatEmployeeType 员工概况
     * @return 结果
     */
    public int updatePlatEmployeeType(PlatEmployeeType largePlatEmployeeType);

    /**
     * 删除员工概况
     * 
     * @param id 员工概况主键
     * @return 结果
     */
    public int deletePlatEmployeeTypeById(Long id);

    /**
     * 批量删除员工概况
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePlatEmployeeTypeByIds(Long[] ids);

    /**
    * 真删接口
    */
    Integer reallyDeleteByWrapper(@Param(Constants.WRAPPER) LambdaQueryWrapper<PlatEmployeeType> deleteWrapper);
}
